Qwt User's Guide: QwtLegendData Class Reference

Qwt User's Guide 6.1.6

Public Types | Public Member Functions | List of all members
QwtLegendData Class Reference

Attributes of an entry on a legend. More...

`#include <qwt_legend_data.h>`

## Public Types
enum | Mode { ReadOnly, Clickable, Checkable }
| Mode defining how a legend entry interacts. More...
enum | Role { ModeRole, TitleRole, IconRole, UserRole = 32 }
| Identifier how to interprete a QVariant.

## Public Member Functions
| QwtLegendData ()
| Constructor.
| ~QwtLegendData ()
| Destructor.
void | setValues (const QMap< int, QVariant > &)
const QMap< int, QVariant > & | values () const
void | setValue (int role, const QVariant &)
QVariant | value (int role) const
bool | hasRole (int role) const
bool | isValid () const
QwtGraphic | icon () const
QwtText | title () const
Mode | mode () const

## Detailed Description

Attributes of an entry on a legend.

QwtLegendData is an abstract container ( like QAbstractModel ) to exchange attributes, that are only known between to the plot item and the legend.

By overloading QwtPlotItem::legendData() any other set of attributes could be used, that can be handled by a modified ( or completely different ) implementation of a legend.

See also
  QwtLegend, QwtPlotLegendItem

Note
  The stockchart example implements a legend as a tree with checkable items

## Member Enumeration Documentation

## ◆ Mode

enum QwtLegendData::Mode

Mode defining how a legend entry interacts.

Enumerator
ReadOnly | The legend item is not interactive, like a label.
Clickable | The legend item is clickable, like a push button.
Checkable | The legend item is checkable, like a checkable button.

## Member Function Documentation

## ◆ hasRole()

bool QwtLegendData::hasRole | ( | int | role | ) | const

Parameters

  role | Attribute role

Returns
  True, when the internal map has an entry for role

## ◆ icon()

QwtGraphic QwtLegendData::icon | ( |  | ) | const

Returns
  Value of the IconRole attribute

## ◆ isValid()

bool QwtLegendData::isValid | ( |  | ) | const

Returns
  True, when the internal map is empty

## ◆ mode()

QwtLegendData::Mode QwtLegendData::mode | ( |  | ) | const

Returns
  Value of the ModeRole attribute

## ◆ setValue()

void QwtLegendData::setValue | ( | int | role,
|  | const QVariant & | data
| ) |  |

Set an attribute value

Parameters

  role | Attribute role
  data | Attribute value

See also
  value()

## ◆ setValues()

void QwtLegendData::setValues | ( | const QMap< int, QVariant > & | map | ) |

Set the legend attributes

QwtLegendData actually is a QMap<int, QVariant> with some convenience interfaces

Parameters

  map | Values

See also
  values()

## ◆ title()

QwtText QwtLegendData::title | ( |  | ) | const

Returns
  Value of the TitleRole attribute

## ◆ value()

QVariant QwtLegendData::value | ( | int | role | ) | const

Parameters

  role | Attribute role

Returns
  Attribute value for a specific role

## ◆ values()

const QMap< int, QVariant > & QwtLegendData::values | ( |  | ) | const

Returns
  Legend attributes

See also
  setValues()